{% extends "catalog/base_generic.html" %}

{% block content %}
    <h1>Renew: {{ book_instance.book.title }}</h1>
    <p>Borrower: {{ book_instance.borrower }}</p>
    <p{% if book_instance.is_overdue %} class="text-danger"{% endif %}>Due date: {{ book_instance.due_back }}</p>
{#    {% if form.renewal_date.errors %}#}
{#        <ul>#}
{#            {% for error in form.renewal_date.errors %}#}
{#                <li>{{ error }}</li>#}
{#            {% endfor %}#}
{#        </ul>#}
{#    {% endif %}#}
    <form action="" method="post">
        {% csrf_token %}
        <table>
            {{ form.as_table }}
        </table>
        <input class="btn btn-success" type="submit" value="Submit">
        <input class="btn btn-secondary" type="reset" value="Erase">
        <a href="{% url 'all-borrowed' %}">
            <button class="btn btn-danger" type="button">Cancel</button>
        </a>
    </form>
{% endblock %}